apiVersion: dapr.io/v1alpha1
kind: Component
metadata:
  name: slurm-events
spec:
  type: bindings.rabbitmq
  version: v1
  metadata:
  - name: host
    secretKeyRef:
      name: prod-atlantis-rabbitmq
      key:  connString
  - name: queueName
    value: prod-slurm-job-events
  - name: durable
    value: true
  - name: contentType
    value: "application/json"
  - name: route
    value: /events/slurm
scopes:
  - prod-atlantis
